PREMAKE4(1)

NAME
premake4 - cross-platform build script generator

SYNOPSIS
premake4 [options] action [arguments]

DESCRIPTION
premake4 is a build configuration tool that can generate project files for multiple build environments on multiple platforms.

OPTIONS

--cc=VALUE
    Choose a C/C++ compiler set; one of:

gcc GNU GCC (gcc/g++)

ow  OpenWatcom

--dotnet=VALUE
    Choose a .NET compiler set; one of:

msnet
    Microsoft .NET (csc)

mono
    Novell Mono (mcs)

pnet
    Portable.NET (cscc)

--file=FILE
    Read FILE as a Premake script; default is 'premake4.lua'

--help
    Display this information

--os=VALUE
    Generate files for a different operating system; one of:

bsd OpenBSD, NetBSD, or FreeBSD

linux
    Linux

macosx
    Apple Mac OS X

solaris
    Solaris

windows
    Microsoft Windows

--platform=VALUE
    Add target architecture (if supported by action); one of:

x32 32-bit

x64 64-bit

universal
    Mac OS X Universal, 32- and 64-bit

universal32
    Mac OS X Universal, 32-bit only

universal64
    Mac OS X Universal, 64-bit only

ps3 Playstation 3 (experimental)

xbox360
    Xbox 360 (experimental)

--scripts=path
    Search for additional scripts on the given path

--version
    Display version information

ACTIONS

clean
    Remove all binaries and generated files

codeblocks
    Generate Code::Blocks project files

codelite
    Generate CodeLite project files

gmake
    Generate GNU makefiles for POSIX, MinGW, and Cygwin

vs2002
    Generate Microsoft Visual Studio 2002 project files

vs2003
    Generate Microsoft Visual Studio 2003 project files

vs2005
    Generate Microsoft Visual Studio 2005 project files

vs2008
    Generate Microsoft Visual Studio 2008 project files

vs2010
    Generate Visual Studio 2010 project files (experimental)

xcode3
    Generate Apple Xcode 3 project files (experimental)

SEE ALSO
For additional information see http://industriousone.com/premake.

AUTHOR
Jason Perkins and the Premake Project